#/bin/sh
#
# This script uninstalls both parallel driver & usb daemon.
#
#
# global variables 
#
choice=0
#
# ask : Function that asks the input.
#
ask()
{
    echo "-------------------------------------------------------------------------------"
    echo "This script will uninstall Sentinel Parallel driver and/or USB daemon."
    echo "   1 : Parallel Driver Only."
    echo "   2 : USB Daemon Only."
    echo "   3 : Parallel Driver and USB Daemon both."
    echo -n "Please enter your choice: "
    read choice
    echo "-------------------------------------------------------------------------------"
 }

#
# un_package1 : unistall Parallel driver
#
un_package1()
{
    pkg1=`rpm -q SUD-ParallelDriver |cut -b 1`
    if [ $pkg1 == 'S' ]
    then 
	rpm -e SUD-ParallelDriver
	RETVAL=$?
	if [ $RETVAL = 255 ]; then 
	    echo "WARNING:To Uninstall this software make sure you have Super user (root) permission."
	fi	 
    else
	echo Sentinel Parallel Driver Package not installed.
    fi
}

#
# un_package2 : unistall USB daemon
#
un_package2()
{
    pkg1=`rpm -q SUD-USBDaemon |cut -b 1`
    if [ $pkg1 == 'S' ]
    then 
	rpm -e SUD-USBDaemon
	RETVAL=$?
	if [ $RETVAL = 255 ]; then 
	    echo "WARNING:To Uninstall this software make sure you have Super user (root) permission."
	fi	 
    else
	echo Sentinel USB Daemon Package not installed.
    fi
}


#
# Loop while user doesn't enter a valid choice
#
while [ $choice -le 0 -o $choice -gt 3 ]
do
    ask
    if [ -z $choice ]
    then
       choice=0   
       echo "Please enter a number between 1 to 3."
    elif [ $choice = 1 ]
    then
	un_package1
	break
    elif [ $choice = 2 ]
    then
	un_package2
	break
    elif [ $choice = 3 ]
    then
	un_package1
    echo "-------------------------------------------------------------------------------"
	un_package2
	break
    else
	echo "Please enter a number between 1 to 3."
    fi
   choice=0
done
    echo "-------------------------------------------------------------------------------"






