#!/bin/sh
clear
line="-------------------------------------------------------------------------------"
showlicense()
{
if [ $LicenseSHOW == 0 ]    
then
    echo $line
    [ -f $LicensePATH/LicenseAgreement.txt ] 
    if [ $? == 0 ] 
    then
	more $LicensePATH/LicenseAgreement.txt
	echo -n "Do you Agree with the License(y/n): "
	read choice
	case $choice in 
	    'y') 
		;;
	    'Y') 
		;;
	    *)  echo $line
		exit
		;;
	esac	  
    else
	echo "\"LicenseAgreement.txt\" file missing."
	echo $line
	exit
    fi
fi
}

errchecking()
{
 if [ $? = 0 ]
             then
                echo "$Driver_type installation was successful."
              else
                echo "$Driver_type installation failed."
                echo "WARNING:To install this software make sure that you have Super user (root) permissions." 
		echo $line
		exit
             fi
}
uninstall630()
{

pkg1=`rpm -q sspmontool-6.3.0 |cut -b 1`
if [ $pkg1 == 's' ]
then  	 
    echo "Uninstalling previous MonitoringTool."
    (rpm -e sspmontool-6.3.0) >/dev/null 2>&1
    echo $line
fi	    


pkg1=`rpm -q sspserver-6.3.0 |cut -b 1`
if [ $pkg1 == 's' ]
then  	 
   echo "Uninstalling previous SSP Server."
   (rpm -e  sspserver-6.3.0) > /dev/null 2>&1
   if [ $? = 0 ]
   then
	((ls /opt/RainbowTechnologies/SuperPro/6.3.0/ | grep Dev > /dev/null 2>&1) ||
	(ls /opt/RainbowTechnologies/SuperPro/6.3.0/ | grep Interfaces > /dev/null 2>&1) ||
	(ls /opt/RainbowTechnologies/SuperPro/6.3.0/ | grep Manuals > /dev/null 2>&1) ||
	(ls /opt/RainbowTechnologies/SuperPro/6.3.0/ | grep Sample > /dev/null 2>&1) ||
	(ls /opt/RainbowTechnologies/SuperPro/6.3.0/ | grep Tools > /dev/null 2>&1))
	if [ $? != 0 ]
	then
	(ls /opt/RainbowTechnologies | grep SUD5.50 > /dev/null 2>&1)
	    if [ $? != 0 ]
	    then
		rm -rf /opt/RainbowTechnologies
	    else
		rm -rf /opt/RainbowTechnologies/SuperPro
	    fi
	fi	
    fi
    echo $line
fi

#Remove the combo_uninstall.sh i.e. this script
(ls /opt/RainbowTechnologies/SuperPro/6.3.0/combo_uninstall.sh) > /dev/null 2>&1
if [ $? == 0 ]
    then
	    (rm -f /opt/RainbowTechnologies/SuperPro/6.3.0/combo_uninstall.sh) > /dev/null 2>&1
fi

}

LicensePATH=..
LicenseSHOW=0
showlicense

echo $line
echo "                        Sentinel SuperPro version 6.3.1              "
echo "                 Combo Installer(SUD5.50, MonitoringTool, Server)    "
echo "                    Copyright(C)2003 Rainbow Technologies, Inc.      "
echo "                              All rights reserved.                   " 
echo $line
echo "This script will install                         " 
echo "    - Sentinel Unix Driver (SUD 5.50.0)             "
echo "    - Monitoring Tool and                           "
echo "    - SSP Server.                                   " 

# script that install both parallel & usb driver
LicenseSHOW=1
export LicenseSHOW
cd ../SUD5.50
./drvr_install.sh
cd ../SuperProNetComboInstaller

#################################################
###Script for installation of server, montool, driver

uninstall630

#######installation of Monitoring tool
echo "Installing Monitoring Tool."
Driver_type="Monitoring Tool"

(rpm -i --force --nodeps sspmontool*.i386.rpm)> /dev/null 2>&1
  errchecking
##############installation of server
echo $line
echo "Installing SSP Server."
Driver_type=Server
(rpm -i --force --nodeps sspserver*.i386.rpm) > /dev/null 2>&1
 errchecking
######################################
#Copy the Unistall script
(cp combo_uninstall.sh /opt/RainbowTechnologies/SuperPro/6.3/.;
m=`date -I | cut -b 6-7`;
d=`date -I | cut -b 9-10`;
FILESTAMP=$m$d"0631.00";
touch  -t $FILESTAMP /opt/RainbowTechnologies/SuperPro/6.3/combo_uninstall.sh;
) > /dev/null 2>&1
echo $line


