#!/bin/sh
clear
line="-------------------------------------------------------------------------------"
choice=0
AlreadyExec=0

ask()
{
    echo $line 
    echo "   1 : Un-install all (SUD 5.50, Monitoring Tool and Server)"
    echo "   2 : Un-install all except SUD5.50       "
    echo -n "Please enter your choice: "
    read choice
}

errchecking(){
 if [ $? = 0 ]
             then
                echo "Successfully un-installed $Driver_type."
              else
                echo "$Driver_type un-installation failed."
                echo "WARNING:To uninstall this software make sure that you have Super user (root) permissions." 
		echo $line 
             fi
}


echo "                    Sentinel SuperPro version 6.3.1                  "
echo "                Combo Un-installer(SUD,MonitoringTool,Server)        "
echo "                   Copyright(C)2003 Rainbow Technologies, Inc.       "
echo "                           All rights reserved.                      " 
echo $line 
echo "This script will un-install                                          " 
echo "    - Sentinel Unix Driver (SUD 5.50.0)             "
echo "    - Monitoring Tool and                           "
echo "    - SSP Server.                                   " 

while [ $choice -le 0 -o $choice -gt 2 ]
do
    ask
    if [ -z $choice ]
    then 
         choice=0
    fi

    #Script to uninstall SUD5.50
    if [ $choice = 1 ]
    then 
        (ls ../SUD5.50/drvr_uninstall.sh) > /dev/null 2>&1
        if [ $? == 0 ]
        then
           # script that uninstall parallel & usb driver
           sh ../SUD5.50/drvr_uninstall.sh
           AlreadyExec=1
        fi
        if [ $AlreadyExec = 0 ]
        then
            (ls /opt/RainbowTechnologies/SUD5.50/drvr_uninstall.sh) > /dev/null 2>&1
            if [ $? == 0 ]
            then
               sh /opt/RainbowTechnologies/SUD5.50/drvr_uninstall.sh
            fi
        fi
     fi

     ###Script for uninstallation of server, montool, driver
     if [ $choice = 1 -o $choice = 2 ]
     then

         #######Uninstallation of Monitoring tool
	 Driver_type="Monitoring Tool"
	 if [ $choice = 2 ] ; then 
		echo $line
	 fi

	 pkg1=`rpm -q sspmontool |cut -b 1`
	 if [ $pkg1 == 's' ]
	 then  	 
		echo "Uninstalling MonitoringTool."
		(rpm -e sspmontool) >/dev/null 2>&1
		errchecking        
         else
	    echo "$Driver_type Package not installed."
	 fi	    
        ##############Uninstallation of server###
        echo $line
	Driver_type=Server
        pkg1=`rpm -q sspserver |cut -b 1`
	if [ $pkg1 == 's' ]
	then  	 
	    echo "Uninstalling SSP Server."
	    (rpm -e  sspserver) > /dev/null 2>&1
	    if [ $? = 0 ]
	    then
            ((ls /opt/RainbowTechnologies/SuperPro/6.3/ | grep Dev > /dev/null 2>&1) ||
            (ls /opt/RainbowTechnologies/SuperPro/6.3/ | grep Interfaces > /dev/null 2>&1) ||
            (ls /opt/RainbowTechnologies/SuperPro/6.3/ | grep Manuals > /dev/null 2>&1) ||
            (ls /opt/RainbowTechnologies/SuperPro/6.3/ | grep Sample > /dev/null 2>&1) ||
            (ls /opt/RainbowTechnologies/SuperPro/6.3/ | grep Tools > /dev/null 2>&1))
	    if [ $? != 0 ]
	    then
                (ls /opt/RainbowTechnologies | grep SUD5.50 > /dev/null 2>&1)
	        if [ $? != 0 ]
	        then
	            rm -rf /opt/RainbowTechnologies
	        else
	            rm -rf /opt/RainbowTechnologies/SuperPro
	        fi
	    fi	
            echo "Successfully un-installed $Driver_type. "
	    else
		errchecking
	    fi
	else
	    echo "$Driver_type Package not installed."
        fi
        ########################## 
        #Remove the combo_uninstall.sh i.e. this script
        (ls /opt/RainbowTechnologies/SuperPro/6.3/combo_uninstall.sh) > /dev/null 2>&1
        if [ $? == 0 ]
        then
           (rm -f /opt/RainbowTechnologies/SuperPro/6.3/combo_uninstall.sh) > /dev/null 2>&1
        fi
     else
         echo $line
         echo "Please enter number 1 or 2."
     fi
     if [ $choice = 1 -o $choice = 2 ]
     then
	break
    fi
  choice=0
done
echo $line






